Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008834TestLinkEvent Signalspublic2019-12-29 10:032019-12-31 13:52
Reporterkkretschmann 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.19 (2019 Q1) 
Fixed in Version1.9.20 
Summary0008834: events for requirements missing
DescriptionThe file events_inc.php defines the events needed for developing plugins for TL. I'm missing events to get triggered when requirements get updated.

Any plans to get this integrated, or do I have to dig the code myself?
Additional Information  // Test Case related events.
  'EVENT_TEST_CASE_CREATE' => EVENT_TYPE_CREATE,
  'EVENT_TEST_CASE_UPDATE' => EVENT_TYPE_UPDATE,
  'EVENT_TEST_CASE_DELETE' => EVENT_TYPE_DELETE,

would be needed for requirements too, like:

  // Test Case related events.
  'EVENT_REQUIREMENT_CREATE' => EVENT_TYPE_CREATE,
  'EVENT_REQUIREMENT_UPDATE' => EVENT_TYPE_UPDATE,
  'EVENT_REQUIREMENT_DELETE' => EVENT_TYPE_DELETE,
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0008549closedfman Availables hot-fixes for 1.9.19 & How To get full fixed package from GitHub 

-  Notes
(0029361)
fman (administrator)
2019-12-29 14:06

Please provide Pull Request with suggested changes to be analized

thanks
(0029364)
kkretschmann (reporter)
2019-12-30 10:59

I might need some contributor permissions to be able to create a branch/pull whatever. Please grant to my github user "kkretsch".
(0029365)
fman (administrator)
2019-12-30 11:39

Hi, you do not need nothing special, just need to create a fork of the official repository, then create your changes, then request Pull Request

regards
(0029366)
kkretschmann (reporter)
2019-12-30 11:46

OK, got it now. Expect some code next year ;-)
(0029367)
kkretschmann (reporter)
2019-12-30 16:42

Pull request was now done.
(0029370)
fman (administrator)
2019-12-31 11:18

Thanks !
I'm going to check

There are two big changes in the pipeline

1. allow using multiple Browser TABS => no more use of SESSION for caching things like testproject id, and test plan id

2. Change UX using dashio admin template
(0029371)
fman (administrator)
2019-12-31 11:49

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/75e40851074975730f81bfbce0fe2813b40da1ed [^]

- Issue History
Date Modified Username Field Change
2019-12-29 10:03 kkretschmann New Issue
2019-12-29 14:06 fman Note Added: 0029361
2019-12-30 10:59 kkretschmann Note Added: 0029364
2019-12-30 11:39 fman Note Added: 0029365
2019-12-30 11:46 kkretschmann Note Added: 0029366
2019-12-30 16:42 kkretschmann Note Added: 0029367
2019-12-31 11:18 fman Note Added: 0029370
2019-12-31 11:49 fman Note Added: 0029371
2019-12-31 11:49 fman QA Team - Task Workflow Status => TBD
2019-12-31 11:49 fman Fixed in Version => 1.9.20
2019-12-31 11:49 fman Relationship added child of 0008549
2019-12-31 13:52 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2019-12-31 13:52 fman Status new => resolved
2019-12-31 13:52 fman Resolution open => fixed
2019-12-31 13:52 fman Assigned To => fman



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker